.projects {
  padding-top: 68px;
  padding-bottom: 20px;
  &__title {
    color: $drk;
    margin-bottom: 12px;
  }
  &__tabs {
    &_mobile {
      display: none;
    }
    &_desk {
      display: flex;
      justify-content: center;
    }
  }
  &__li {
    &:not(:last-child) {
      margin-right: 30px;
    }
  }
  &__tab {
    color: #223444;
    background-color: #9e9e9e;
    padding: 5px 11px 6px 10px;
    transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out;
    &:hover {
      background-color: #e9e9e9;
      color: $orng;
    }
    &:focus {
      background-color: #ffd4c1;
      color: #223444;
    }
    &:active {
      background-color: $orng;
      color: $wht;
    }
    &_active {
      color: #ffffff;
      background-color: $orng;
      &:hover {
        background-color: $orng;
        color: $wht;
      }
      &:focus {
        background-color: $orng;
        color: $wht;
      }
      &:active {
        background-color: $orng;
        color: $wht;
      }
    }
  }
  &__swiper {
    &_upper {
      display: flex;
    }
  }
  &__holder {
    display: none;
    margin-bottom: 45px;
    &_active {
      display: grid;
      // @include adaptiveValue("row-gap", 31, 15, 1920, 1024, 0);
      row-gap: 45px;
      animation: showTab 0.4s ease-in-out;
    }
  }
  &__list_upper,
  &__list_lower {
    display: grid;
  }
  &__list {
    &_upper,
    &_lower {
      // @include adaptiveValue("gap", 30, 15, 1920, 1024, 0);
      gap: 45px;
    }
    &_upper {
      grid-template-columns: repeat(6, 1fr);
      .projects__item_common {
        .projects__headline {
          margin-bottom: 10px;
        }
      }
    }
    &_lower {
      .projects__item_common {
        .projects__headline {
          margin-bottom: 14px;
        }
      }
      grid-template-columns: repeat(4, 1fr);
    }
  }
  &__figcaption {
    display: flex;
    flex-direction: column;
    // justify-content: space-between;
    flex-grow: 1;
  }
  &__item {
    position: relative;
    &_common {
      &_tablet {
        display: none;
      }
    }
    &_huge {
      &_tablet {
        display: none;
      }
      position: relative;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      padding-top: 22px;
      padding-bottom: 34px;
      // padding-bottom: 35px;
      padding-left: 30px;
      min-height: 300px;
      // max-height: 300px;
      // @include adaptiveValue("padding-right", 305, 210, 1920, 1024, 0);
      padding-right: 30px;
      &_fuji,
      &_jazz {
        grid-column: span 3;
      }
      &_oblivion,
      &_portrait {
        grid-column: span 2;
      }
      &_oblivion {
        background: url(../img/projects/slide-1/projects__slide-1.5.webp) center /
          cover no-repeat;
      }
      &_fuji {
        background: url(../img/projects/slide-1/projects__slide-1.4.webp) center /
          cover no-repeat;
      }
      &_portrait {
        background: url(../img/projects/slide-2/projects__slide-2.1.webp) center /
          cover no-repeat;
      }
      &_jazz {
        background: url(../img/projects/slide-2/projects__slide-2.7.webp) center /
          cover no-repeat;
      }
    }
  }
  &__figure {
    display: flex;
    flex-direction: column;
    height: 100%;
    svg {
      fill: #999999;
    }
    .projects__content {
      display: block;
      color: $drk;
    }
  }
  &__img {
    margin-bottom: 16px;
    img {
      max-width: 100%;
    }
  }
  &__date {
    margin-bottom: 1px;
  }
  &__calendar {
    fill: #999999;
  }
  &__day {
    color: #999999;
  }
  &__hashtag {
    top: 7px;
    right: 7px;
  }
  &__heading {
    font-family: $fontTT;
    font-size: 24px;
    line-height: 24px;
    margin-bottom: 5px;
  }
  &__btn {
    align-self: flex-start;
    transition: background-color 0.2s ease-in-out, outline 0.2s ease-in-out;
    &:hover {
      background-color: $orng;
    }
    &:focus {
      background-color: $orngFcs;
    }
    &:active {
      outline: 3px solid $orngActv;
      background-color: $orngActv;
    }
  }
  &__headline {
    font-family: $fontRob;
    color: $drk;
    font-size: 16px;
    line-height: 22px;
    transition: color 0.2s ease-in-out, background-color 0.2s ease-in-out;
    &:hover {
      color: $orng;
    }
    &:focus {
      color: $wht;
      background-color: $orngFcs;
    }
    &:active {
      color: $orngActv;
      background-color: transparent;
    }
  }
}

// ----------------------------- media px ---------------------------------

@media (max-width: 1024px) {
  .projects {
    &__holder {
      &_active {
        // @include adaptiveValue("row-gap", 25, 15, 1024, 768, 0);
      }
    }
    &__list {
      &_upper {
        // @include adaptiveValue("gap", 30, 15, 1024, 768, 0);
      }
      &_upper {
        grid-template-columns: repeat(4, 1fr);
      }
      &_lower {
        grid-template-columns: repeat(
          auto-fit,
          minmax(218px, 342px) minmax(218px, 1fr) minmax(218px, 342px)
        );
        // @include adaptiveValue("column-gap", 30, 15, 1024, 768, 0);
        // @include adaptiveValue("row-gap", 26, 15, 1024, 768, 0);
      }
    }
    &__figcaption {
      justify-content: space-between;
    }
    &__img {
      margin-bottom: 18px;
    }
    &__item {
      &_common {
        &_desk {
          display: none;
        }
        &_tablet {
          display: block;
        }
        &_upper {
          grid-row: 1 / 2;
          grid-column: 3 / 4;
        }
        &_lower {
          grid-row: 2 / 3;
          grid-column: 1 / 2;
        }
      }
      &_huge {
        // @include adaptiveValue("padding-right", 268, 75, 1024, 768, 0);
        &_upper {
          grid-row: 1 / 2;
          grid-column: 1 / 3;
        }
        &_lower {
          grid-row: 2 / 3;
          grid-column: 2 / 4;
        }
        &_desk {
          display: none;
        }
        &_tablet {
          display: flex;
        }
        &_oblivion {
          background: url(../img/projects/slide-1/projects__slide-1.5_1024.webp)
            center / cover no-repeat;
        }
        &_fuji {
          background: url(../img/projects/slide-1/projects__slide-1.4_1024.webp)
            center / cover no-repeat;
        }
        &_portrait {
          background: url(../img/projects/slide-2/projects__slide-2.1_1024.webp)
            center / cover no-repeat;
        }
        &_jazz {
          background: url(../img/projects/slide-2/projects__slide-2.7_1024.webp)
            center / cover no-repeat;
        }
      }
    }
  }
}

// ----------------------------- media px ---------------------------------

@media (max-width: 768px) {
  .projects {
    &__li {
      &:not(:last-child) {
        margin-right: 20px;
      }
    }
    &__holder {
      &_active {
        // @include adaptiveValue("row-gap", 24, 15, 768, 576, 0);
        margin-bottom: 47px;
      }
    }
    &__list {
      &_upper,
      &_lower {
        // @include adaptiveValue("gap", 30, 15, 768, 576, 0);
      }
      &_upper {
        grid-template-columns: repeat(3, 1fr);
        grid-row: 1;
      }
      &_lower {
        grid-template-columns: repeat(2, 1fr);
      }
    }
    &__item {
      &_common {
        &_upper {
          grid-row: 2;
          grid-column: 1 / 2;
        }
        &_lower {
          grid-row: 2;
          grid-column: 2 / 3;
        }
        &_tablet {
          display: none;
        }
        &_desk {
          display: block;
        }
      }
      &_huge {
        grid-column: 1 / 3;
        // @include adaptiveValue("padding-right", 393, 175, 768, 576, 0);
        padding-right: 31px;
        padding-bottom: 31px;
        &_lower {
          grid-row: 3;
        }
        &_oblivion {
          background: url(../img/projects/slide-1/projects__slide-1.5_768.webp)
            center / cover no-repeat;
        }
        &_fuji {
          background: url(../img/projects/slide-1/projects__slide-1.4_768.webp)
            center / cover no-repeat;
        }
        &_portrait {
          background: url(../img/projects/slide-2/projects__slide-2.1_768.webp)
            center / cover no-repeat;
        }
        &_jazz {
          background: url(../img/projects/slide-2/projects__slide-2.7_768.webp)
            center / cover no-repeat;
        }
      }
    }
  }
}

// ----------------------------- media px ---------------------------------

@media (max-width: 576px) {
  .projects {
    padding-top: 51px;
    padding-bottom: 12px;
    &__swiper {
      &_upper {
        justify-content: space-between;
        margin-bottom: 17px;
      }
    }
    &__holder {
      &_active {
        margin-bottom: 21px;
        row-gap: 26px;
      }
    }
    &__tabs {
      &_mobile {
        display: flex;
      }
      &_desk {
        display: none;
      }
    }
    &__tab {
      padding: 5px 9px;
    }
    &__li {
      &:not(:last-child) {
        margin-right: 10px;
      }
    }
    &__title {
      margin-bottom: 0;
    }
    &__upper {
      margin-bottom: 12px;
    }
    &__list {
      &_upper,
      &_lower {
        grid-template-columns: 1fr;
        column-gap: 0px;
      }
      &_upper {
        row-gap: 24px;
        .projects__item_common {
          .projects__headline {
            margin-bottom: 9px;
          }
        }
      }
      &_lower {
        row-gap: 30px;
        .projects__item_common {
          .projects__headline {
            margin-bottom: 8px;
          }
        }
      }
    }
    &__item {
      &_common {
        .projects__img {
          img {
            max-width: none;
            width: 100%;
          }
        }
        &_lower {
          grid-row: 3;
          grid-column: 1 / 2;
        }
      }
      &_huge {
        justify-content: flex-start;
        padding-right: 30px;
        padding-top: 196px;
        padding-bottom: 28px;
        // min-height: 422px;
        &_lower {
          grid-row: 4;
        }
        &_oblivion {
          padding-top: 208px;
          background: url(../img/projects/slide-1/projects__slide-1.5_320.webp)
            center / cover no-repeat;
          .projects__upper {
            margin-bottom: 20px;
          }
        }
        &_fuji {
          background: url(../img/projects/slide-1/projects__slide-1.4_320.webp)
            center / cover no-repeat;
        }
        &_portrait {
          background: url(../img/projects/slide-2/projects__slide-2.1_320.webp)
            center / cover no-repeat;
        }
        &_jazz {
          padding-top: 147px;
          background: url(../img/projects/slide-2/projects__slide-2.7_320.webp)
            center / cover no-repeat;
        }
      }
    }
    &__date {
      margin-bottom: 7px;
    }
    &__heading {
      margin-bottom: 9px;
    }
  }
}
